Changes from 1998-10-27 to 1998-12-08:

	* cyrplain/cyrtxinf.ini: added `rusified' versions of captions
	and some other things. Suggested by Sviatoslav Reentenko. This is
	activated only if plainenc.tex is loaded in cyrplain.ini.

	cyrplain/cyrtex.ini: renamed from cyrplain.ini.

	* cyrfinst/cyrillic.mtx: added support for faked small caps
	fonts.

	* cyrfinst/cyrillic.mtx: added aliases for URW cyrillic glyph
	names. Thanks to Maksym Polyakov <mpoliak@pcomp.usau.kiev.ua>.

	cyrfinst/cyrillic.mtx: added aliases for Cyrillic glyph names
	used in AMS wncy* Type1 fonts.
	cyrfinst/README: new file.
	cyrfinst/cyralias.mtx: new file (Cyrillic glyph name alises).

	cyrfinst/cyrillic.mtx: rewritten (version 0.2). Improved and
	simplified glyph name aliasing mechanisms.

	* enc-maps/{urwcyr.txt,amscyr.txt}: new files (mapping for glyph
	names used in URW cyrillic fonts and AMS Cyrillic (wncy*) Type1
	fonts to Unicode).

	enc-maps/encfiles/*: regenerated (to agree with changes in
	encodings).

	* cyoutenc.dtx: removed repeated definition of CYRDZE from
	T2A encoding.

	* rusbabel/russianb.dtx: added missing hyphen to the definition
	of "= shorthand.

	fixed a typo in definition of \bibname (\cyrL -> \CYRL).

	changed `\space' -> `\ ' in captions and date to avoid loosing
	a space via AUX file.

	added a few new math operators: \NOD, \NOK, \Proj.

	* textmath.dtx: new file. It contains a greatly improved and
	optimized support for `transparent text&math symbols', which is
	intended for inclusion into the LaTeX2e kernel.

	cyoutenc.dtx, rusbabel/cyrillic.fdd: removed old `transparent
	text&math' definitions.

	etc/mathwarn.sty: rewritten to match new text&math scheme.

	rusbabel/cyrillic.fdd: removed finally cyrmath.sty.

	moved definitions of cyrillic math alphabets from encoding
	definition files to russianb.ldf (only symbol font definitions
	retained in encoding definition files).

	renamed `\cyrmath' -> `\cyrmathrm'.

	* T2C encoding: made changes according to Alexander Berdnikov's
	uptate to T2C encoding for the Saam language (sync with Unicode):
	0x93/0xB3: YAT -> SEMI SOFT SIGN,
	0x94/0xB4: IZHITSA -> SHORT I WITH DESCENDER,
	0x9B/0xBB: BIG YUS -> ER WITH HOOK.

	X2 encoding: removed `comma above' accent, and added compwordmark:
	0x17: hcross -> compwordmark,
	0x1B: comma above -> hcross.

	* etc/citehack.sty: added support for \pageref command and varioref
	package; corrected support for \ref.

	* etc/amsclass.diff: made commands like \large work inside new
	|\uppercasenonmath|.

	* cyrplain/plainenc.tex: updated according to changes in
	transparent text&math.

	* renamed accents: \ibr -> \F, \dgr -> \C, \br -> \U.
	removed \hcross name from X2 (useless for general definition).
        added \.i composite to X2 encoding.

Changes from 1998-10-23 to 1998-10-27:

	* cyrplain/makefmts.sh: use "tex -ini" instead of "initex".

	* instdocs/rumiktex.{en,ru}: files updated by
	Anatoliy A. Malyarenko.

	* rusbabel/russianb.dtx: changed the default definition
	and added one more alternative definition for \bibname.

	* a few miscellaneous minor changes and typos fixed.

Changes from 1998-10-10 to 1998-10-23:

	* cyinpenc.dtx: added experimental Tatarian modification of
	cp866 codepage (cp866tat.def).

	* t2lhfnt.fdd, cyrlatex.ins: minor docstrip-related cleanup.

	* cyrfinst/{lcy.etx,lcy-hi.etx}: new files (LCY encoding vector).

	cyrfinst/derivatives/{lcyc.etx,lcyci.etx,lcycij.etx,lcycj.etx,
	lcyctt.etx,lcyi.etx,lcyij.etx,lcyitt.etx,lcyj.etx,lcytt.etx}:
	new files (derivative encodings for LCY encoding).

	* cyrplain/plainenc.tex: corrected definition of \shipout:
	protected commands should be preserved only in whatsits,
	but not while output box is constructed. Bug reported by
	Anatoliy A. Malyarenko.

	* cyrplain/plainenc.tex: try to improve uppercase/lowercase
	support: \MakeUppercase and \MakeLowercase commands were removed,
	and \uppercase, \lowercase primitives were redefined.

	cyrplain/README: removed a note about using \MakeUppercase and
	\MakeLowercase commands.

	etc/amsppt.diff: updated. Changed \uppercase -> \@uppercase
	in one place.

	* cyrplain/makefmts.sh: renamed from mkfmts.sh.
	cyrplain/makefmts.bat: renamed from mkfmts.bat.
	cyrplain/makefmts.sh: use `long' format names: cyramstex and
	cyrtexinfo.

	* etc/mathwarn.sty: new file (make A.Janishewskiy and V.Zaitsev
	happy :)).

	* inst-docs/rus-tex.html: removed obsolete advice about necessity
	to edit ruhyphen.tex to select LCY encoding for cyrplain (this is
	now done automagically in cyrplain.ini).

	* etc/babel.diff: minor update: fixed a typo in docstrip option
	name for russianb.sty, updated for new spanishb, removed a few
	empty lines.

Changes from 1998-10-09 to 1998-10-10:

	* cyrplain/plainenc.tex: use BABEL's plain.def; cleanup.

Changes from 1998-10-07 to 1998-10-09:

	* etc/ruseng.sty: deleted; cyoutenc.dtx: removed cyrdef
	option with \DeclareTextSymbolDefault declaration.

	* cyoutenc.dtx: minor docstrip-related cleanup; removed
	\.i composite from X2 encoding.

	* rusbabel/cyrillic.fdd: synchronized bugfix for tables
	with cyoutenc.dtx.

	* instdocs/rumiktex.ru: renamed from rumiktex.txt.
	instdocs/rumiktex.en: new file by Anatoliy A. Malyarenko.

	* rusbabel/cyrillic.fdd: LCY encoding updated according to
	LH fonts v3.20.

	* cyrplain/lcydefs.tex: LCY encoding updated according to
	LH fonts v3.20; use numeric codes instead of 8-bit letters.

Changes from 1998-10-01 to 1998-10-07:

	* cyoutenc.dtx, cyrfinst/cyrillic.mtx, cyrfinst/t2c.etx,
	enc-maps/t2cyr.txt: changed glyph name CYRRGCRS -> CYRRTICK,
	cyrrgcrs -> cyrrtick. See
	http://wwwold.dkuug.dk/JTC1/SC2/WG2/docs/n1744.pdf

	* cyoutenc.dtx: made bugfix for tables execute only once.
	Bug reported by Vitali Rudowitsch.

Changes from 1998-09-30 to 1998-10-01:

	* cyoutenc.dtx, cyrplain/cyrillic.fdd: added resetting of
	\if@mmode in \everymath for upper/lower indices with single
	cyrillic letter to work. Bug reported by Alexander I. Lebedev.

	* etc/array.diff: new file. Add \let\protect\@unexpandable@protect
	to definitions of \@mkpream. This patch MUST be applied if you
	are using `array' package with T2 package. Bug reported by
	Yaroslav Maximenko.

	* README: updated information about LH fonts package (v3.20).

Changes from 1998-09-26 to 1998-09-30:

	* cyoutenc.dtx: corrected a fix for math mode to work with
	\protected@write; added setting of \DeclareFontSubstitution.

	* cyrplain/README: removed a detailed description of hyphenation
	setup (moved it to the ruhyphen package); added a note about
	using \MakeUppercase and \MakeLowercase commands.

	* cyrplain/cyrplain.ini: use setting of LCY encoding in the
	cyrplain.ini file (making editing of ruhyphen.tex unneeded).

	* instdocs/rumiktex.txt: added a note on version of MikTeX.

	* rusbabel/russianb.dtx: use \DeclareTextFontCommand in
	definitions of \textlatin and \textcyrillic.

Changes from 1998-09-21 to 1998-09-26:

	* cyrfinst/*.etx: corrected setting of codingscheme to fit
	into 39 chars. The codingscheme value in the LH fonts should
	be corrected; the AMS cyrillic fonts also have `incorrect'
	setting of codingscheme.

	* cyrfinst/derivatives/ot2*.etx: renamed from lwn*.etx.
	cyrfinst/ot2.etx: renamed from lwn.etx.
	enc-maps/OT2uni.map: renamed from LWNuni.map.

	* cyrplain: renamed files: cyamstex.ini -> cyramstx.ini,
	cyblue.ini -> cyrblue.ini, cytxinfo.ini -> cyrtxinf.ini.

	* cyrplain/mkfmts.sh: changed command lines for initex.

	* cyinpenc.dtx, rusbabel/{cyrillic.fdd,russianb.dtx}: made
	numero sign `work' in math mode (not sure whether it is *really*
	needed).

	* cyoutenc.dtx, rusbabel/cyrillic.fdd: added bugfix for cyrillic
	letters in `array' cells (see more info in a dtx file). Bug
	reported by Yaroslav Maximenko.

 	Optimized definition of \DeclareTextMathCommand by one token. :-)

	* t2lhfnt.fdd: added larger sizes (similar to EC fonts).

Changes from 1998-09-14 to 1998-09-21:

	* instdocs/rus-tex.tex: new file. ;-)

	* cyrplain: renamed some files to avoid name conflicts:
	plain.ini -> cyrplain.ini, amstex.ini -> cyamstex.ini,
	texinfo.ini -> cytxinfo.ini, bluetex.ini -> cyblue.ini.

	* cyrfinst/cyrillic.mtx: added prefix `mt-' for monotype
	cyrillic glyph names (to avoid possible name conflicts
	with latin glyph names); added (weird) glyph names for
	Paradissa collection (CTAN:fonts/cm/ps-type1/paradissa) with
	prefix `cmc-'; added a few unfakable glyphs to produce warnings
	in case of their absence.

	* cyrfinst/etc/fnstcorr.tex: new file, containing changes
	to fontinst 1.800 needed to work with cyrillic fontinst files.
	These changes are not specific to cyrillic; they (try to) solve
	problems of multiple naming of glyphs and avoiding glyph name
	conflicts.

Changes from 1998-09-11 to 1998-09-14:

	* cyrplain/plainenc.tex: one more hack for protected commands.
	(make \write within \edef work correctly). texinfo (and more)
	should work correctly with russian/inputenc.

Changes from 1998-09-06 to 1998-09-11:

	* instdocs/rumiktex.txt: updated. Thanks to
	Anatoliy A. Malyarenko <maa@kilots.kiev.ua>.

	* cyrplain/plainenc.tex: added \MakeUppercase and \MakeLowercase
	macros from LaTeX. These should be used instead of \uppercase
	and \lowercase to get correct upper/lowercase translations.

	* rusbabel/russianb.dtx: made uppercase greek letters (and some
	other symbols) non-affectable by family change in math mode
	(e.g. \mathbf) to avoid `strange things' when font family does not
	contain these symbols in positions of OT1. Now these symbols are
	always taken from OT1-encoded fonts. This is similar to AMS packages
	(and lucida and mathtime). To get bold (italic, etc.) greek letters,
	one should use commands provided by AMS-LaTeX. Note, that lowercase
	greek letters always were non-affectable by family change. Thanks to
	David Carlisle for help in solving this problem.

	* cyoutenc.dtx: made math font setup use configurable values of
	font families, series and shapes from the corresponding \*default
	macros (to work not only with LH fonts).

	rusbabel/cyrillic.fdd: ditto. Also, missing math fonts setup for
	LWN encoding was added.

	* instdocs/rus-tex.html: updated a few URLs.

Changes from 1998-08-18 to 1998-09-06:

	* etc/babel.diff: regenerated against babel-3.6j; corrected
	checksums of some files to avoid warnings.

	* etc/amsclass.diff: regenerated (added a minor bugfix for
	overfull boxes in colontitles).

	* rusbabel/russianb.dtx: version number increased to 1.1g
	to differ from the number found in the BABEL 3.6j distribution.

	* rusbabel/russianb.dtx: moved out the block of `typography
	features'.

	* cyrplain/plainenc.tex: made \write work correctly with \IeC, in
	a LaTeX-like (encoding-independent) style; made cyrillic letters
	sensitive to family change in math mode.

	cyrplain/lcydefs.tex: corrected the default family for cyrillic
	letters.

	* enc-maps: renamed files cyrcsets.index -> cyrcsets.ind,
	cyrcsets7.txt -> cyrcset7.txt, cyrcsets8.txt -> cyrcset8.txt,
	mkencfiles.sh -> mkencs.sh, monotypecyr.txt -> mtcyr.txt,
	t2cyrlist.txt -> t2cyr.txt, t2latlist.txt -> t2lat.txt.

	enc-maps/README: new file (descriptions of files).

	* instdocs/rus-tex.html: updated documentation about hyphenation;
	added a bit of documentation about cyrplain.

Changes from 1998-08-15 to 1998-08-18:

	* cyrplain/cyrplain.tex: updated against plain.tex 3.1415926.
	cyrplain/plainenc.tex: likewise.

	* etc/citehack.sty: \ref made robust to work with AMS-LaTeX.
	Thanks to Alexander O. Smirnov <smirnov@as.stoic.spb.su>.

	* instdocs/rus-tex.html: added a charset tag.

	* rusbabel/russianb.dtx: small cleanup; also, the ", shorthand
	was (temporarily?) disabled, as it can lead to confusion.

Changes from 1998-08-10 to 1998-08-15:

	* enc-maps/cyrcsets8.txt: a few more charsets added
	(see enc-maps/cyrcsets.index).

	* etc/citehack.sty: added missing support for \nocite
	reported by Alexander O. Smirnov <smirnov@as.stoic.spb.su>.
	This should work with cite package and with pure LaTeX.

	* etc/cite.diff: updated against cite.sty version 3.7.

	* instdocs/rumiktex.txt: new file, --- installation of T2
	package and related packages in MikTeX mini-HOWTO by
	Anatoliy A. Malyarenko <maa@kilots.kiev.ua>

	* etc/babel.diff: updated; made tilde work in ligatures in greek
	environment. Thanks to Wladislaw Tchernov.

Changes from 1998-07-03 to 1998-08-10:

	* cyrfinst: new directory, containing files with
	cyrillic support for the fontinst package:
	cyrillic.mtx, t2a.etx, t2b.etx, t2c.etx, x2.etx,
	lwn.etx (lcy.etx to come); the directory
	cyrfinst/derivatives contains etx files for
	variant encodings (small-caps, italic, and old style
	digits). Various glyph naming schemes are supported.

	* enc-maps/t2cyrlist.txt, enc-maps/t2latlist.txt:
	new files which contain a mapping from glyph names
	used in the T2 package (including cyrfinst) to Unicode.
	This is similar to the Adobe's mapping in glyphlist.txt.

	enc-maps/monotypecyr.txt: new file (mapping from monotype
	cyrillic glyph naming scheme to unicode).

	enc-maps/broken1.txt, enc-maps/broken2.txt: new files
	specifying broken glyph naming used in some cyrillic
	type1 fonts.

	enc-maps/LWNuni.map: new file (LWN/OT2 to unicode mapping).

	enc-maps/{cyrcsets8.txt,cyrcsets7.txt,cyrcsets.index}: new
	files with mappings from common cyrillic 8-bit and 7-bit
	encodings to Unicode (some more encodings will be added
	soon).

	Files in enc-maps can be processed using scripts to
	generate other files and to get some info. ;-)

	* cyrplain/bluetex.ini: new file; the support for BLUe
	TeX is preliminary; some changes in the BLUe TeX are
	needed for multilingual features.

	* cyinpenc.dtx, cyoutenc.dtx, rusbabel/cyrillic.fdd:
	change \CYRNo to \textnumero.

	* cyoutenc.dtx: small changes and cleanups.

	* cyrplain/plainenc.tex: preliminary support for
	\write to output inputenc-generated symbols in
	`\IeC' 7bit form.

	* etc/babel.diff, rusbabel/russianb.dtx: fix conflict
	of using \TeX and \LaTeX logos when russian and greek are
	used simultaneously.

	* enc-maps/make-enc.pl, enc-maps/*.enc: add LIGKERN data
	for afm2tfm.

	* enc-maps/*.enc: moved to enc-maps/encfiles/; names changed.

Changes from 1998-06-21 to 1998-07-03:

	* CHANGES: new file.

	* etc/ruenhyph.tex: moved to `ruhyphen' package.

	* etc/language.dat: moved to `ruhyphen' package.

	* cyrplain: directory added, which contains support
	for generation of rusified Plain TeX, AMS-TeX and TeXinfo
	formats. The support for any input encodings is there!

	* plainenc.tex: moved from `etc' directory to `cyrplain'
	directory.

	* etc/amsppt.diff: new file (used in cyrplain).

	* etc/russianb.dtx: merged changes with Olga Lapko.
